# Ephemeral Coins

This mod aims to rebalance the Lunar Coin mechanic as a temporary currency, rather than a farmable one, in the hopes of improving not only the balance, but also the general satisfaction involved in acquiring Lunar Coins.

**All changes are configurable!**

- All Lunar Coins are removed upon starting a run. The amount removed is displayed in chat. [^1]
- Lunar Coins drop rate changed to 5% / 0.95 falloff.
- Lunar Pods made free of cost.
- Bazaar Between Time Lunar Buds cost lowered to 1 coin, and refresh when the Slab (Lunar Reroller) is used, even if already purchased.
- Bazaar Between Time Lunar Seer cost lowered to 1 coin.
- Bazaar Between Time Slab (Lunar Reroller) made free of cost. Can only be used once.
- The chance for a Blue Orb to appear on stage start flattened to 37.5%, instead of decreasing for each visit to BTB.

[^1]: For players who wish to restore their Lunar Coins, it is easily done through editing the "<coins>" tag in the save profile.

You can reach me (Varna) in the [RoR2 modding discord](https://discord.gg/5MbXZvd) with any feedback!

## Todo

- Settings for Newt Altars, possibly a rework to their behavior
- Brainstorming on what to do with Lunar Coins received from obliterating/beating the game.

## Credits

[Magnus](https://github.com/MagnusMagnuson/RoR2Mods) - For the original code this was forked from. Not only was it an excellent starting point, it helped me learn a lot too!

RoR2 Modding discord - For help in figuring out the Slab (Lunar Reroller)'s horrible, horrible internal structure, and just being awesome in general!

## Changelog

1.0.0 - Initial release